From 197345ce8db965a25bccb96640a588f625e05aca Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <vital.had@gmail.com>
Date: Fri, 28 Oct 2022 21:24:33 +0800
Subject: [PATCH 1/3] asmlong.h: fix i386 for llvm-gcc

---
 src/runtime/Integer/asmlong.h | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/runtime/Integer/asmlong.h b/src/runtime/Integer/asmlong.h
index 5303ba3..aa720f3 100644
--- a/src/runtime/Integer/asmlong.h
+++ b/src/runtime/Integer/asmlong.h
@@ -91,22 +91,22 @@
 #define add_ssaaaa(sh, sl, ah, al, bh, bl) \
   __asm__ ("addl %5,%1\n"	\
 "	adcl %3,%0"		\
-       : "=r" ((unsigned long int)(sh)), "=&r" ((unsigned long int)(sl))\
+       : "=r" (sh), "=&r" (sl)	\
        : "%0" ((unsigned long int)(ah)), "g" ((unsigned long int)(bh)),	\
 	 "%1" ((unsigned long int)(al)), "g" ((unsigned long int)(bl)))
 #define sub_ddmmss(sh, sl, ah, al, bh, bl) \
   __asm__ ("subl %5,%1\n"	\
 "	sbbl %3,%0"		\
-       : "=r" ((unsigned long int)(sh)), "=&r" ((unsigned long int)(sl))\
+       : "=r" (sh), "=&r" (sl)	\
        : "0" ((unsigned long int)(ah)), "g" ((unsigned long int)(bh)),	\
 	 "1" ((unsigned long int)(al)), "g" ((unsigned long int)(bl)))
 #define umul_ppmm(w1, w0, u, v) \
   __asm__ ("mull %3"							\
-	: "=a" ((unsigned long int)(w0)), "=d" ((unsigned long int)(w1))\
+	: "=a" (w0), "=d" (w1)	\
 	: "%0" ((unsigned long int)(u)), "rm" ((unsigned long int)(v)))
 #define udiv_qrnnd(q, r, n1, n0, d) \
   __asm__ ("divl %4"							\
-	: "=a" ((unsigned long int)(q)), "=d" ((unsigned long int)(r))	\
+	: "=a" (q), "=d" (r)	\
 	: "0" ((unsigned long int)(n0)), "1" ((unsigned long int)(n1)),	\
 	  "rm" ((unsigned long int)(d)))
 #if 0
-- 
2.36.1

